/* ----------------------------------------------------------------

	alias.r
	11-06-90 1.0d1 JRP
	11-13-90 1.0d3 JRP
	03-21-91 1.1d1 JRP	add Err 13
	04-09-93 1.2   JRP	fix bogus Gestalt call in Trap.c
	04-14-93 1.3   JRP	add ResolveAliasToPath
---------------------------------------------------------------- */

#include "Types.r"
#include "SysTypes.r"

#include "vers.h"				/*	 version and copyright info		*/

#define		PROG_DESC		"multum in parvo"

/*
		General program resources
*/

resource 'vers' (1) {
	kVersionBytes,
	kVersionStr,
	kVersionStr"\n"
	kCopyrightStr
};

resource 'vers' (2) {
	kVersionBytes,
	kVersionStr,
	PROG_DESC
};

resource 'STR#' (16373, kProgNameStr) {
	{
		"!",
		"?",
		"MakeAlias",
		"ResolveAlias",
		"VerifyAlias",
		"GetAliasInfo",
		"ResolveAliasToPath",
		"get Alias({MakeAlias|ResolveAlias|GetAliasInfo|GetResolvedPath})",
		"the long name of this stack",
		"Err 01 Missing command",
		"Err 02 Command is not recognized",
		"Err 03 Missing second parameter",
		"Err 04 This operating system does not support the Alias Manager",
		"Err 05 EvalExpr failed",
		"Err 06 FSMakeFSSpec failed",
		"Err 07 NewAlias failed",
		"Err 08 ResolveAlias failed",
		"Err 09 ResolveAliasFile failed",
		"Err 10 GetAliasInfo Zone failed",
		"Err 11 GetAliasInfo Server failed",
		"Err 12 GetAliasInfo Volume failed",
		"Err 13 GetAliasInfo Parent failed"
	};
};
